/[dejagnu]/dejagnu/configure
ViewVC logotype

Diff of /dejagnu/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 1.9 by rsavoye, Fri Apr 26 05:56:49 2002 UTC revision 1.10 by rsavoye, Fri Aug 30 01:29:46 2002 UTC
# Line 1217  fi Line 1217  fi
1217    
1218  # Define the identity of the package.  # Define the identity of the package.
1219  PACKAGE=dejagnu  PACKAGE=dejagnu
1220  VERSION=1.4.2  VERSION=1.4.3
1221    
1222  cat >>confdefs.h <<EOF  cat >>confdefs.h <<EOF
1223  #define PACKAGE "$PACKAGE"  #define PACKAGE "$PACKAGE"
# Line 2718  echo "${ECHO_T}${ac_cv_path_tclsh}" >&6 Line 2718  echo "${ECHO_T}${ac_cv_path_tclsh}" >&6
2718  fi  fi
2719  TCLSH="${ac_cv_path_tclsh}"  TCLSH="${ac_cv_path_tclsh}"
2720    
 echo "$as_me:2721: checking for STL versions" >&5  
 echo $ECHO_N "checking for STL versions... $ECHO_C" >&6  
 if test "${ac_cv_stl+set}" = set; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   
   ac_ext=cc  
 ac_cpp='$CXXCPP $CPPFLAGS'  
 ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'  
 ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'  
 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu  
   
   cat >conftest.$ac_ext <<_ACEOF  
 #line 2734 "configure"  
 #include "confdefs.h"  
 #include <iostream>  
 int  
 main ()  
 {  
   
   using namespace std;  
   char bbuuff[5120];  
   cout.rdbuf()->pubsetbuf(bbuuff, 5120);  
   ;  
   return 0;  
 }  
 _ACEOF  
 rm -f conftest.$ac_objext  
 if { (eval echo "$as_me:2749: \"$ac_compile\"") >&5  
   (eval $ac_compile) 2>&5  
   ac_status=$?  
   echo "$as_me:2752: \$? = $ac_status" >&5  
   (exit $ac_status); } &&  
          { ac_try='test -s conftest.$ac_objext'  
   { (eval echo "$as_me:2755: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:2758: \$? = $ac_status" >&5  
   (exit $ac_status); }; }; then  
   ac_cv_stl=v3  
   
 else  
   echo "$as_me: failed program was:" >&5  
 cat conftest.$ac_ext >&5  
 ac_cv_stl=v2  
   
 fi  
 rm -f conftest.$ac_objext conftest.$ac_ext,  
   
 fi  
   
 ac_ext=c  
 ac_cpp='$CPP $CPPFLAGS'  
 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'  
 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'  
 ac_compiler_gnu=$ac_cv_c_compiler_gnu  
   
 if test x"${ac_cv_stl}" != x"v2" ; then  
   echo "$as_me:2779: result: v3" >&5  
 echo "${ECHO_T}v3" >&6  
   cat >>confdefs.h <<\EOF  
 #define HAVE_STL3 1  
 EOF  
   
 else  
   echo "$as_me:2786: result: v2" >&5  
 echo "${ECHO_T}v2" >&6  
 fi  
   
2721  BOARDS='$(boards)'  BOARDS='$(boards)'
2722    
2723  CONFIG='$(config)'  CONFIG='$(config)'
# Line 2903  rm -f confdef2opt.sed Line 2834  rm -f confdef2opt.sed
2834  : ${CONFIG_STATUS=./config.status}  : ${CONFIG_STATUS=./config.status}
2835  ac_clean_files_save=$ac_clean_files  ac_clean_files_save=$ac_clean_files
2836  ac_clean_files="$ac_clean_files $CONFIG_STATUS"  ac_clean_files="$ac_clean_files $CONFIG_STATUS"
2837  { echo "$as_me:2906: creating $CONFIG_STATUS" >&5  { echo "$as_me:2837: creating $CONFIG_STATUS" >&5
2838  echo "$as_me: creating $CONFIG_STATUS" >&6;}  echo "$as_me: creating $CONFIG_STATUS" >&6;}
2839  cat >$CONFIG_STATUS <<_ACEOF  cat >$CONFIG_STATUS <<_ACEOF
2840  #! $SHELL  #! $SHELL
# Line 3074  cat >>$CONFIG_STATUS <<\EOF Line 3005  cat >>$CONFIG_STATUS <<\EOF
3005      echo "$ac_cs_version"; exit 0 ;;      echo "$ac_cs_version"; exit 0 ;;
3006    --he | --h)    --he | --h)
3007      # Conflict between --help and --header      # Conflict between --help and --header
3008      { { echo "$as_me:3077: error: ambiguous option: $1      { { echo "$as_me:3008: error: ambiguous option: $1
3009  Try \`$0 --help' for more information." >&5  Try \`$0 --help' for more information." >&5
3010  echo "$as_me: error: ambiguous option: $1  echo "$as_me: error: ambiguous option: $1
3011  Try \`$0 --help' for more information." >&2;}  Try \`$0 --help' for more information." >&2;}
# Line 3093  Try \`$0 --help' for more information." Line 3024  Try \`$0 --help' for more information."
3024      ac_need_defaults=false;;      ac_need_defaults=false;;
3025    
3026    # This is an error.    # This is an error.
3027    -*) { { echo "$as_me:3096: error: unrecognized option: $1    -*) { { echo "$as_me:3027: error: unrecognized option: $1
3028  Try \`$0 --help' for more information." >&5  Try \`$0 --help' for more information." >&5
3029  echo "$as_me: error: unrecognized option: $1  echo "$as_me: error: unrecognized option: $1
3030  Try \`$0 --help' for more information." >&2;}  Try \`$0 --help' for more information." >&2;}
# Line 3144  do Line 3075  do
3075    "example/Makefile" ) CONFIG_FILES="$CONFIG_FILES example/Makefile" ;;    "example/Makefile" ) CONFIG_FILES="$CONFIG_FILES example/Makefile" ;;
3076    "testsuite/libdejagnu/Makefile" ) CONFIG_FILES="$CONFIG_FILES testsuite/libdejagnu/Makefile" ;;    "testsuite/libdejagnu/Makefile" ) CONFIG_FILES="$CONFIG_FILES testsuite/libdejagnu/Makefile" ;;
3077    "default-1" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-1" ;;    "default-1" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-1" ;;
3078    *) { { echo "$as_me:3147: error: invalid argument: $ac_config_target" >&5    *) { { echo "$as_me:3078: error: invalid argument: $ac_config_target" >&5
3079  echo "$as_me: error: invalid argument: $ac_config_target" >&2;}  echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
3080     { (exit 1); exit 1; }; };;     { (exit 1); exit 1; }; };;
3081    esac    esac
# Line 3382  done; } Line 3313  done; }
3313    esac    esac
3314    
3315    if test x"$ac_file" != x-; then    if test x"$ac_file" != x-; then
3316      { echo "$as_me:3385: creating $ac_file" >&5      { echo "$as_me:3316: creating $ac_file" >&5
3317  echo "$as_me: creating $ac_file" >&6;}  echo "$as_me: creating $ac_file" >&6;}
3318      rm -f "$ac_file"      rm -f "$ac_file"
3319    fi    fi
# Line 3400  echo "$as_me: creating $ac_file" >&6;} Line 3331  echo "$as_me: creating $ac_file" >&6;}
3331        -) echo $tmp/stdin ;;        -) echo $tmp/stdin ;;
3332        [\\/$]*)        [\\/$]*)
3333           # Absolute (can't be DOS-style, as IFS=:)           # Absolute (can't be DOS-style, as IFS=:)
3334           test -f "$f" || { { echo "$as_me:3403: error: cannot find input file: $f" >&5           test -f "$f" || { { echo "$as_me:3334: error: cannot find input file: $f" >&5
3335  echo "$as_me: error: cannot find input file: $f" >&2;}  echo "$as_me: error: cannot find input file: $f" >&2;}
3336     { (exit 1); exit 1; }; }     { (exit 1); exit 1; }; }
3337           echo $f;;           echo $f;;
# Line 3413  echo "$as_me: error: cannot find input f Line 3344  echo "$as_me: error: cannot find input f
3344             echo $srcdir/$f             echo $srcdir/$f
3345           else           else
3346             # /dev/null tree             # /dev/null tree
3347             { { echo "$as_me:3416: error: cannot find input file: $f" >&5             { { echo "$as_me:3347: error: cannot find input file: $f" >&5
3348  echo "$as_me: error: cannot find input file: $f" >&2;}  echo "$as_me: error: cannot find input file: $f" >&2;}
3349     { (exit 1); exit 1; }; }     { (exit 1); exit 1; }; }
3350           fi;;           fi;;
# Line 3557  if test "$no_recursion" != yes; then Line 3488  if test "$no_recursion" != yes; then
3488      # parts of a large source tree are present.      # parts of a large source tree are present.
3489      test -d $srcdir/$ac_subdir || continue      test -d $srcdir/$ac_subdir || continue
3490    
3491      { echo "$as_me:3560: configuring in $ac_subdir" >&5      { echo "$as_me:3491: configuring in $ac_subdir" >&5
3492  echo "$as_me: configuring in $ac_subdir" >&6;}  echo "$as_me: configuring in $ac_subdir" >&6;}
3493      case $srcdir in      case $srcdir in
3494      .) ;;      .) ;;
# Line 3579  done; } Line 3510  done; }
3510    
3511         if test -d ./$ac_subdir; then :;         if test -d ./$ac_subdir; then :;
3512         else         else
3513           { { echo "$as_me:3582: error: cannot create \`pwd\`/$ac_subdir" >&5           { { echo "$as_me:3513: error: cannot create \`pwd\`/$ac_subdir" >&5
3514  echo "$as_me: error: cannot create \`pwd\`/$ac_subdir" >&2;}  echo "$as_me: error: cannot create \`pwd\`/$ac_subdir" >&2;}
3515     { (exit 1); exit 1; }; }     { (exit 1); exit 1; }; }
3516         fi         fi
# Line 3610  echo "$as_me: error: cannot create \`pwd Line 3541  echo "$as_me: error: cannot create \`pwd
3541      elif test -f $ac_sub_srcdir/configure.in; then      elif test -f $ac_sub_srcdir/configure.in; then
3542        ac_sub_configure=$ac_configure        ac_sub_configure=$ac_configure
3543      else      else
3544        { echo "$as_me:3613: WARNING: no configuration information is in $ac_subdir" >&5        { echo "$as_me:3544: WARNING: no configuration information is in $ac_subdir" >&5
3545  echo "$as_me: WARNING: no configuration information is in $ac_subdir" >&2;}  echo "$as_me: WARNING: no configuration information is in $ac_subdir" >&2;}
3546        ac_sub_configure=        ac_sub_configure=
3547      fi      fi
# Line 3624  echo "$as_me: WARNING: no configuration Line 3555  echo "$as_me: WARNING: no configuration
3555          ac_sub_cache_file=$ac_dots$cache_file ;;          ac_sub_cache_file=$ac_dots$cache_file ;;
3556        esac        esac
3557    
3558        { echo "$as_me:3627: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir" >&5        { echo "$as_me:3558: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir" >&5
3559  echo "$as_me: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir" >&6;}  echo "$as_me: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir" >&6;}
3560        # The eval makes quoting arguments work.        # The eval makes quoting arguments work.
3561        eval $ac_sub_configure $ac_sub_configure_args \        eval $ac_sub_configure $ac_sub_configure_args \
3562             --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir ||             --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir ||
3563          { { echo "$as_me:3632: error: $ac_sub_configure failed for $ac_subdir" >&5          { { echo "$as_me:3563: error: $ac_sub_configure failed for $ac_subdir" >&5
3564  echo "$as_me: error: $ac_sub_configure failed for $ac_subdir" >&2;}  echo "$as_me: error: $ac_sub_configure failed for $ac_subdir" >&2;}
3565     { (exit 1); exit 1; }; }     { (exit 1); exit 1; }; }
3566      fi      fi

Legend:
Removed from v.1.9  
changed lines
  Added in v.1.10

savannah-hackers-public@gnu.org
ViewVC Help
Powered by ViewVC 1.1.26